import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-12-16 14:22
 */
export interface CmCity{
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 代码
    * @type { string }
    */
    code?: string;
    /**
    * 
    * @type { string }
    */
    provId?: string;
    /**
    * 
    * @type { string }
    */
    name?: string;
    /**
    * 
    * @type { string }
    */
    carPreffix?: string;
}
export class CmCityMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','唯一标识');
    }
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','代码');
    }
    static get PROV_ID(): FieldInfo{  
        return new FieldInfo('provId','');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','');
    }
    static get CAR_PREFFIX(): FieldInfo{  
        return new FieldInfo('carPreffix','');
    }
}


